/*
 * CustomerDetail.java
 *
 * Created on 06 December 2005, 18:13
 */

package web;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author me :-)
 * @version
 */
public class CustomerDetail extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet customerDetail</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Servlet customerDetail at " + request.getContextPath() + "</h1>");
        
        String customerNr = request.getParameter("customer_nr");
        if((customerNr != null) && !(customerNr.equals(""))) {
            try{
                ejb.CustomerFacadeRemote custFacade = lookupCustomerFacadeBean();
                out.println("Customer's info for nr. " + customerNr + ": " + custFacade.getCustomerInfo(
                        Integer.parseInt(customerNr)));
            }catch(javax.ejb.FinderException ex){
                out.println("Customer with nr. " + customerNr +" not found");
            }
        }
        
        out.println("<form>");
        out.println("Customer number: <input type='text' name='customer_nr' />");
        out.println("<input type=submit value=Select />");
        out.println("</form>");
        
        out.println("</body>");
        out.println("</html>");
        out.close();
        
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
    
    private web.ServiceLocator serviceLocator;
    
    private web.ServiceLocator getServiceLocator() {
        if (serviceLocator == null) {
            serviceLocator = new web.ServiceLocator();
        }
        return serviceLocator;
    }
    
    private ejb.CustomerFacadeRemote lookupCustomerFacadeBean() {
        try {
            return ((ejb.CustomerFacadeRemoteHome) getServiceLocator().getRemoteHome("java:comp/env/ejb/CustomerFacadeBean",ejb.CustomerFacadeRemoteHome.class)).create();
        } catch(javax.naming.NamingException ne) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE,"exception caught" ,ne);
            throw new RuntimeException(ne);
        } catch(javax.ejb.CreateException ce) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE,"exception caught" ,ce);
            throw new RuntimeException(ce);
        } catch(java.rmi.RemoteException re) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE,"exception caught" ,re);
            throw new RuntimeException(re);
        }
    }
}
